Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JTableOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JTableOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JTableOperator
extends JComponentOperator
implements Outputable, Timeoutable

Timeouts used:
JTableOperator.WaitEditingTimeout - time to wait cell editing
ComponentOperator.WaitComponentTimeout - time to wait component displayed
ComponentOperator.WaitStateTimeout - time to wait for cell contents
JTextComponentOperator.ChangeCaretPositionTimeout - maximum time to chenge caret position
JTextComponentOperator.TypeTextTimeout - maximum time to type text
JScrollBarOperator.WholeScrollTimeout - time for the whole scrolling
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JTableOperator.JTableByCellFinder` Allows to find component by cell text.
`static class` | `JTableOperator.JTableFinder` Checks component type.
`static interface` | `JTableOperator.TableCellChooser` Iterface to choose table cell.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `CELL_PREFIX_DPROP` Identifier for a "cell" property.
`static java.lang.String` | `COLUMN_COUNT_DPROP` Identifier for a "column count" property.
`static java.lang.String` | `COLUMN_PREFIX_DPROP` Identifier for a "column" property.
`static java.lang.String` | `ROW_COUNT_DPROP` Identifier for a "row count" property.
`static java.lang.String` | `SELECTED_COLUMN_PREFIX_DPROP` Identifier for a "selected column" property.
`static java.lang.String` | `SELECTED_ROW_PREFIX_DPROP` Identifier for a "selected row" property.

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JTableOperator(ContainerOperator cont)` Constructor.
`JTableOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JTableOperator object.
`JTableOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JTableOperator object.
`JTableOperator(ContainerOperator cont, int index)` Constructor.
`JTableOperator(ContainerOperator cont, java.lang.String text)` Constructor.
`JTableOperator(ContainerOperator cont, java.lang.String text, int index)` Constructor.
`JTableOperator(ContainerOperator cont, java.lang.String text, int row, int column)` Constructor.
`JTableOperator(ContainerOperator cont, java.lang.String text, int row, int column, int index)` Constructor.
`JTableOperator(javax.swing.JTable b)` Constructor.

Method Summary
`void` | `addColumn(javax.swing.table.TableColumn tableColumn)` Maps `JTable.addColumn(TableColumn)` through queue
`void` | `addColumnSelectionInterval(int i, int i1)` Maps `JTable.addColumnSelectionInterval(int, int)` through queue
`void` | `addRowSelectionInterval(int i, int i1)` Maps `JTable.addRowSelectionInterval(int, int)` through queue
`javax.swing.JPopupMenu` | `callPopupOnCell(int row, int column)` Calls popup menu on specified cell.
`void` | `changeCellObject(int row, int column, java.lang.Object newValue)` Changes value of the cell pointed by row and column indexes.
`void` | `changeCellText(int row, int column, java.lang.String newText)` Deprecated. Use changeCellObject(int, int, Object) instead.
`void` | `clearSelection()` Maps `JTable.clearSelection()` through queue
`void` | `clickForEdit(int row, int column)` Double clicks on cell to turns it to the editing mode.
`void` | `clickOnCell(int row, int column)` Does single mouse click on the cell.
`void` | `clickOnCell(int row, int column, int clickCount)` Does mouse click on the cell by default mouse button with no modifiers.
`void` | `clickOnCell(int row, int column, int clickCount, int button)` Does mouse click on the cell with no modifiers.
`void` | `clickOnCell(int row, int column, int clickCount, int button, int modifiers)` Does mouse click on the cell.
`void` | `columnAdded(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)` Maps `JTable.columnAdded(TableColumnModelEvent)` through queue
`int` | `columnAtPoint(java.awt.Point point)` Maps `JTable.columnAtPoint(Point)` through queue
`void` | `columnMarginChanged(javax.swing.event.ChangeEvent changeEvent)` Maps `JTable.columnMarginChanged(ChangeEvent)` through queue
`void` | `columnMoved(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)` Maps `JTable.columnMoved(TableColumnModelEvent)` through queue
`void` | `columnRemoved(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)` Maps `JTable.columnRemoved(TableColumnModelEvent)` through queue
`void` | `columnSelectionChanged(javax.swing.event.ListSelectionEvent listSelectionEvent)` Maps `JTable.columnSelectionChanged(ListSelectionEvent)` through queue
`int` | `convertColumnIndexToModel(int i)` Maps `JTable.convertColumnIndexToModel(int)` through queue
`int` | `convertColumnIndexToView(int i)` Maps `JTable.convertColumnIndexToView(int)` through queue
`void` | `copyEnvironment(Operator anotherOperator)` Copies all environment (output, timeouts, visualizer) from another operator.
`void` | `createDefaultColumnsFromModel()` Maps `JTable.createDefaultColumnsFromModel()` through queue
`boolean` | `editCellAt(int i, int i1)` Maps `JTable.editCellAt(int, int)` through queue
`boolean` | `editCellAt(int i, int i1, java.util.EventObject eventObject)` Maps `JTable.editCellAt(int, int, EventObject)` through queue
`void` | `editingCanceled(javax.swing.event.ChangeEvent changeEvent)` Maps `JTable.editingCanceled(ChangeEvent)` through queue
`void` | `editingStopped(javax.swing.event.ChangeEvent changeEvent)` Maps `JTable.editingStopped(ChangeEvent)` through queue
`java.awt.Point` | `findCell(ComponentChooser chooser)` Searches cell coordinates.
`java.awt.Point` | `findCell(ComponentChooser chooser, int index)` Searches cell coordinates.
`java.awt.Point` | `findCell(ComponentChooser chooser, int[] rows, int[] columns, int index)` Searches cell coordinates.
`java.awt.Point` | `findCell(JTableOperator.TableCellChooser chooser)` Searches cell coordinates.
`java.awt.Point` | `findCell(JTableOperator.TableCellChooser chooser, int index)` Searches cell coordinates.
`java.awt.Point` | `findCell(JTableOperator.TableCellChooser chooser, int[] rows, int[] columns, int index)` Searches cell coordinates in the specified rows and columns.
`java.awt.Point` | `findCell(java.lang.String text, int index)` Searches cell coordinates.
`java.awt.Point` | `findCell(java.lang.String text, int[] rows, int[] columns, int index)` Searches cell coordinates in the specified rows and columns.
`java.awt.Point` | `findCell(java.lang.String text, Operator.StringComparator comparator, int index)` Searches cell coordinates.
`java.awt.Point` | `findCell(java.lang.String text, Operator.StringComparator comparator, int[] rows, int[] columns, int index)` Searches cell coordinates in the specified rows and columns.
`int` | `findCellColumn(ComponentChooser chooser)` Searches cell column by rendered component.
`int` | `findCellColumn(ComponentChooser chooser, int index)` Searches cell column by rendered component.
`int` | `findCellColumn(ComponentChooser chooser, int row, int index)` Searches cell column index.
`int` | `findCellColumn(JTableOperator.TableCellChooser chooser)` Searches cell column by TableCellChooser.
`int` | `findCellColumn(JTableOperator.TableCellChooser chooser, int index)` Searches cell column by TableCellChooser.
`int` | `findCellColumn(JTableOperator.TableCellChooser chooser, int row, int index)` Searches cell column index.
`int` | `findCellColumn(java.lang.String text)` Searches first cell column by cell text.
`int` | `findCellColumn(java.lang.String text, boolean ce, boolean ccs)` Deprecated. Use findCellColumn(String) or findCellColumn(String, StringComparator)
`int` | `findCellColumn(java.lang.String text, boolean ce, boolean ccs, int index)` Deprecated. Use findCellColumn(String, int) or findCellColumn(String, StringComparator, int)
`int` | `findCellColumn(java.lang.String text, int index)` Searches cell column by cell text.
`int` | `findCellColumn(java.lang.String text, int row, int index)` Searches cell column index.
`int` | `findCellColumn(java.lang.String text, Operator.StringComparator comparator)` Searches cell column visible index.
`int` | `findCellColumn(java.lang.String text, Operator.StringComparator comparator, int index)` Searches cell column visible index.
`int` | `findCellColumn(java.lang.String text, Operator.StringComparator comparator, int row, int index)` Searches cell column index.
`int` | `findCellRow(ComponentChooser chooser)` Searches cell row by rendered component.
`int` | `findCellRow(ComponentChooser chooser, int index)` Searches cell row by rendered component.
`int` | `findCellRow(ComponentChooser chooser, int column, int index)` Searches cell row index.
`int` | `findCellRow(JTableOperator.TableCellChooser chooser)` Searches cell row by TableCellChooser.
`int` | `findCellRow(JTableOperator.TableCellChooser chooser, int index)` Searches cell row by TableCellChooser.
`int` | `findCellRow(JTableOperator.TableCellChooser chooser, int column, int index)` Searches cell row index.
`int` | `findCellRow(java.lang.String text)` Searches first cell row by cell text.
`int` | `findCellRow(java.lang.String text, boolean ce, boolean ccs)` Deprecated. Use findCellRow(String) or findCellRow(String, StringComparator)
`int` | `findCellRow(java.lang.String text, boolean ce, boolean ccs, int index)` Deprecated. Use findCellRow(String, int) or findCellRow(String, StringComparator, int)
`int` | `findCellRow(java.lang.String text, int index)` Searches cell row by cell text.
`int` | `findCellRow(java.lang.String text, int column, int index)` Searches cell row index.
`int` | `findCellRow(java.lang.String text, Operator.StringComparator comparator)` Searches cell row index.
`int` | `findCellRow(java.lang.String text, Operator.StringComparator comparator, int index)` Searches cell row index.
`int` | `findCellRow(java.lang.String text, Operator.StringComparator comparator, int column, int index)` Searches cell row index.
`int` | `findColumn(java.lang.String name)` Searches a column by name.
`int` | `findColumn(java.lang.String name, Operator.StringComparator comparator)` Searches a column by name.
`static javax.swing.JTable` | `findJTable(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JTable in container.
`static javax.swing.JTable` | `findJTable(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JTable in container.
`static javax.swing.JTable` | `findJTable(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int row, int column)` Searches JTable by cell.
`static javax.swing.JTable` | `findJTable(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int row, int column, int index)` Searches JTable by cell.
`boolean` | `getAutoCreateColumnsFromModel()` Maps `JTable.getAutoCreateColumnsFromModel()` through queue
`int` | `getAutoResizeMode()` Maps `JTable.getAutoResizeMode()` through queue
`javax.swing.table.TableCellEditor` | `getCellEditor()` Maps `JTable.getCellEditor()` through queue
`javax.swing.table.TableCellEditor` | `getCellEditor(int i, int i1)` Maps `JTable.getCellEditor(int, int)` through queue
`java.awt.Rectangle` | `getCellRect(int i, int i1, boolean b)` Maps `JTable.getCellRect(int, int, boolean)` through queue
`javax.swing.table.TableCellRenderer` | `getCellRenderer(int i, int i1)` Maps `JTable.getCellRenderer(int, int)` through queue
`boolean` | `getCellSelectionEnabled()` Maps `JTable.getCellSelectionEnabled()` through queue
`javax.swing.table.TableColumn` | `getColumn(java.lang.Object object)` Maps `JTable.getColumn(Object)` through queue
`java.lang.Class` | `getColumnClass(int i)` Maps `JTable.getColumnClass(int)` through queue
`int` | `getColumnCount()` Maps `JTable.getColumnCount()` through queue
`javax.swing.table.TableColumnModel` | `getColumnModel()` Maps `JTable.getColumnModel()` through queue
`java.lang.String` | `getColumnName(int i)` Maps `JTable.getColumnName(int)` through queue
`boolean` | `getColumnSelectionAllowed()` Maps `JTable.getColumnSelectionAllowed()` through queue
`javax.swing.table.TableCellEditor` | `getDefaultEditor(java.lang.Class clss)` Maps `JTable.getDefaultEditor(Class)` through queue
`javax.swing.table.TableCellRenderer` | `getDefaultRenderer(java.lang.Class clss)` Maps `JTable.getDefaultRenderer(Class)` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`int` | `getEditingColumn()` Maps `JTable.getEditingColumn()` through queue
`int` | `getEditingRow()` Maps `JTable.getEditingRow()` through queue
`java.awt.Component` | `getEditorComponent()` Maps `JTable.getEditorComponent()` through queue
`java.awt.Color` | `getGridColor()` Maps `JTable.getGridColor()` through queue
`JTableHeaderOperator` | `getHeaderOperator()` Creates an operator for a teble header assigned to this table.
`java.awt.Dimension` | `getIntercellSpacing()` Maps `JTable.getIntercellSpacing()` through queue
`javax.swing.table.TableModel` | `getModel()` Maps `JTable.getModel()` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`java.awt.Point` | `getPointToClick(int row, int column)` Returns a point at the center of the cell rectangle.
`java.awt.Dimension` | `getPreferredScrollableViewportSize()` Maps `JTable.getPreferredScrollableViewportSize()` through queue
`java.awt.Component` | `getRenderedComponent(int row, int column)` Ask renderer for component to be displayed.
`java.awt.Component` | `getRenderedComponent(int row, int column, boolean isSelected, boolean cellHasFocus)` Ask renderer for component to be displayed.
`int` | `getRowCount()` Maps `JTable.getRowCount()` through queue
`int` | `getRowHeight()` Maps `JTable.getRowHeight()` through queue
`int` | `getRowMargin()` Maps `JTable.getRowMargin()` through queue
`boolean` | `getRowSelectionAllowed()` Maps `JTable.getRowSelectionAllowed()` through queue
`int` | `getScrollableBlockIncrement(java.awt.Rectangle rectangle, int i, int i1)` Maps `JTable.getScrollableBlockIncrement(Rectangle, int, int)` through queue
`boolean` | `getScrollableTracksViewportHeight()` Maps `JTable.getScrollableTracksViewportHeight()` through queue
`boolean` | `getScrollableTracksViewportWidth()` Maps `JTable.getScrollableTracksViewportWidth()` through queue
`int` | `getScrollableUnitIncrement(java.awt.Rectangle rectangle, int i, int i1)` Maps `JTable.getScrollableUnitIncrement(Rectangle, int, int)` through queue
`int` | `getSelectedColumn()` Maps `JTable.getSelectedColumn()` through queue
`int` | `getSelectedColumnCount()` Maps `JTable.getSelectedColumnCount()` through queue
`int[]` | `getSelectedColumns()` Maps `JTable.getSelectedColumns()` through queue
`int` | `getSelectedRow()` Maps `JTable.getSelectedRow()` through queue
`int` | `getSelectedRowCount()` Maps `JTable.getSelectedRowCount()` through queue
`int[]` | `getSelectedRows()` Maps `JTable.getSelectedRows()` through queue
`java.awt.Color` | `getSelectionBackground()` Maps `JTable.getSelectionBackground()` through queue
`java.awt.Color` | `getSelectionForeground()` Maps `JTable.getSelectionForeground()` through queue
`javax.swing.ListSelectionModel` | `getSelectionModel()` Maps `JTable.getSelectionModel()` through queue
`boolean` | `getShowHorizontalLines()` Maps `JTable.getShowHorizontalLines()` through queue
`boolean` | `getShowVerticalLines()` Maps `JTable.getShowVerticalLines()` through queue
`javax.swing.table.JTableHeader` | `getTableHeader()` Maps `JTable.getTableHeader()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`javax.swing.plaf.TableUI` | `getUI()` Maps `JTable.getUI()` through queue
`java.lang.Object` | `getValueAt(int i, int i1)` Maps `JTable.getValueAt(int, int)` through queue
`boolean` | `isCellEditable(int i, int i1)` Maps `JTable.isCellEditable(int, int)` through queue
`boolean` | `isCellSelected(int i, int i1)` Maps `JTable.isCellSelected(int, int)` through queue
`boolean` | `isColumnSelected(int i)` Maps `JTable.isColumnSelected(int)` through queue
`boolean` | `isEditing()` Maps `JTable.isEditing()` through queue
`boolean` | `isRowSelected(int i)` Maps `JTable.isRowSelected(int)` through queue
`void` | `moveColumn(int i, int i1)` Maps `JTable.moveColumn(int, int)` through queue
`java.awt.Component` | `prepareEditor(javax.swing.table.TableCellEditor tableCellEditor, int i, int i1)` Maps `JTable.prepareEditor(TableCellEditor, int, int)` through queue
`java.awt.Component` | `prepareRenderer(javax.swing.table.TableCellRenderer tableCellRenderer, int i, int i1)` Maps `JTable.prepareRenderer(TableCellRenderer, int, int)` through queue
`void` | `removeColumn(javax.swing.table.TableColumn tableColumn)` Maps `JTable.removeColumn(TableColumn)` through queue
`void` | `removeColumnSelectionInterval(int i, int i1)` Maps `JTable.removeColumnSelectionInterval(int, int)` through queue
`void` | `removeEditor()` Maps `JTable.removeEditor()` through queue
`void` | `removeRowSelectionInterval(int i, int i1)` Maps `JTable.removeRowSelectionInterval(int, int)` through queue
`int` | `rowAtPoint(java.awt.Point point)` Maps `JTable.rowAtPoint(Point)` through queue
`void` | `scrollToCell(int row, int column)` Scrolls to a cell if the table lies on a JScrollPane component.
`void` | `selectAll()` Maps `JTable.selectAll()` through queue
`void` | `selectCell(int row, int column)` Selects a specified cell.
`void` | `setAutoCreateColumnsFromModel(boolean b)` Maps `JTable.setAutoCreateColumnsFromModel(boolean)` through queue
`void` | `setAutoResizeMode(int i)` Maps `JTable.setAutoResizeMode(int)` through queue
`void` | `setCellEditor(javax.swing.table.TableCellEditor tableCellEditor)` Maps `JTable.setCellEditor(TableCellEditor)` through queue
`void` | `setCellSelectionEnabled(boolean b)` Maps `JTable.setCellSelectionEnabled(boolean)` through queue
`void` | `setColumnModel(javax.swing.table.TableColumnModel tableColumnModel)` Maps `JTable.setColumnModel(TableColumnModel)` through queue
`void` | `setColumnSelectionAllowed(boolean b)` Maps `JTable.setColumnSelectionAllowed(boolean)` through queue
`void` | `setColumnSelectionInterval(int i, int i1)` Maps `JTable.setColumnSelectionInterval(int, int)` through queue
`void` | `setDefaultEditor(java.lang.Class clss, javax.swing.table.TableCellEditor tableCellEditor)` Maps `JTable.setDefaultEditor(Class, TableCellEditor)` through queue
`void` | `setDefaultRenderer(java.lang.Class clss, javax.swing.table.TableCellRenderer tableCellRenderer)` Maps `JTable.setDefaultRenderer(Class, TableCellRenderer)` through queue
`void` | `setEditingColumn(int i)` Maps `JTable.setEditingColumn(int)` through queue
`void` | `setEditingRow(int i)` Maps `JTable.setEditingRow(int)` through queue
`void` | `setGridColor(java.awt.Color color)` Maps `JTable.setGridColor(Color)` through queue
`void` | `setIntercellSpacing(java.awt.Dimension dimension)` Maps `JTable.setIntercellSpacing(Dimension)` through queue
`void` | `setModel(javax.swing.table.TableModel tableModel)` Maps `JTable.setModel(TableModel)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setPreferredScrollableViewportSize(java.awt.Dimension dimension)` Maps `JTable.setPreferredScrollableViewportSize(Dimension)` through queue
`void` | `setRowHeight(int i)` Maps `JTable.setRowHeight(int)` through queue
`void` | `setRowMargin(int i)` Maps `JTable.setRowMargin(int)` through queue
`void` | `setRowSelectionAllowed(boolean b)` Maps `JTable.setRowSelectionAllowed(boolean)` through queue
`void` | `setRowSelectionInterval(int i, int i1)` Maps `JTable.setRowSelectionInterval(int, int)` through queue
`void` | `setSelectionBackground(java.awt.Color color)` Maps `JTable.setSelectionBackground(Color)` through queue
`void` | `setSelectionForeground(java.awt.Color color)` Maps `JTable.setSelectionForeground(Color)` through queue
`void` | `setSelectionMode(int i)` Maps `JTable.setSelectionMode(int)` through queue
`void` | `setSelectionModel(javax.swing.ListSelectionModel listSelectionModel)` Maps `JTable.setSelectionModel(ListSelectionModel)` through queue
`void` | `setShowGrid(boolean b)` Maps `JTable.setShowGrid(boolean)` through queue
`void` | `setShowHorizontalLines(boolean b)` Maps `JTable.setShowHorizontalLines(boolean)` through queue
`void` | `setShowVerticalLines(boolean b)` Maps `JTable.setShowVerticalLines(boolean)` through queue
`void` | `setTableHeader(javax.swing.table.JTableHeader jTableHeader)` Maps `JTable.setTableHeader(JTableHeader)` through queue
`void` | `setTimeouts(Timeouts times)` Defines current timeouts.
`void` | `setUI(javax.swing.plaf.TableUI tableUI)` Maps `JTable.setUI(TableUI)` through queue
`void` | `setValueAt(java.lang.Object object, int i, int i1)` Maps `JTable.setValueAt(Object, int, int)` through queue
`void` | `tableChanged(javax.swing.event.TableModelEvent tableModelEvent)` Maps `JTable.tableChanged(TableModelEvent)` through queue
`void` | `valueChanged(javax.swing.event.ListSelectionEvent listSelectionEvent)` Maps `JTable.valueChanged(ListSelectionEvent)` through queue
`void` | `waitCell(java.lang.String cellText, int row, int column)` Waits for certain cell contents.
`java.awt.Component` | `waitCellComponent(ComponentChooser chooser, int row, int column)` Waits for an editor.
`static javax.swing.JTable` | `waitJTable(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JTable in container.
`static javax.swing.JTable` | `waitJTable(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JTable in container.
`static javax.swing.JTable` | `waitJTable(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int row, int column)` Waits JTable by cell.
`static javax.swing.JTable` | `waitJTable(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int row, int column, int index)` Waits JTable by cell.

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CELL_PREFIX_DPROP

    public static final java.lang.String CELL_PREFIX_DPROP

  Identifier for a "cell" property.
  See Also:
    `getDump()`

### COLUMN_PREFIX_DPROP

    public static final java.lang.String COLUMN_PREFIX_DPROP

  Identifier for a "column" property.
  See Also:
    `getDump()`

### SELECTED_COLUMN_PREFIX_DPROP

    public static final java.lang.String SELECTED_COLUMN_PREFIX_DPROP

  Identifier for a "selected column" property.
  See Also:
    `getDump()`

### SELECTED_ROW_PREFIX_DPROP

    public static final java.lang.String SELECTED_ROW_PREFIX_DPROP

  Identifier for a "selected row" property.
  See Also:
    `getDump()`

### COLUMN_COUNT_DPROP

    public static final java.lang.String COLUMN_COUNT_DPROP

  Identifier for a "column count" property.
  See Also:
    `getDump()`

### ROW_COUNT_DPROP

    public static final java.lang.String ROW_COUNT_DPROP

  Identifier for a "row count" property.
  See Also:
    `getDump()`

Constructor Detail

### JTableOperator

    public JTableOperator(javax.swing.JTable b)

  Constructor.
  Parameters:
    `b` - a component

### JTableOperator

    public JTableOperator(ContainerOperator cont,
                          ComponentChooser chooser,
                          int index)

  Constructs a JTableOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JTableOperator

    public JTableOperator(ContainerOperator cont,
                          ComponentChooser chooser)

  Constructs a JTableOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JTableOperator

    public JTableOperator(ContainerOperator cont,
                          java.lang.String text,
                          int row,
                          int column,
                          int index)

  Constructor. Waits by cell text first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Text of a cell which is currently selected.
    `row` - a cell row to check.
    `column` - a cell row to check.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JTableOperator

    public JTableOperator(ContainerOperator cont,
                          java.lang.String text,
                          int row,
                          int column)

  Constructor. Waits by cell text first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Text of a cell which is currently selected.
    `row` - a cell row to check.
    `column` - a cell row to check.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JTableOperator

    public JTableOperator(ContainerOperator cont,
                          java.lang.String text,
                          int index)

  Constructor. Waits by text in selected cell first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Text of a cell which is currently selected.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JTableOperator

    public JTableOperator(ContainerOperator cont,
                          java.lang.String text)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Text of a cell which is currently selected.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JTableOperator

    public JTableOperator(ContainerOperator cont,
                          int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JTableOperator

    public JTableOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJTable

    public static javax.swing.JTable findJTable(java.awt.Container cont,
                                                ComponentChooser chooser,
                                                int index)

  Searches JTable in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JTable instance or null if component was not found.

### findJTable

    public static javax.swing.JTable findJTable(java.awt.Container cont,
                                                ComponentChooser chooser)

  Searches 0'th JTable in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JTable instance or null if component was not found.

### findJTable

    public static javax.swing.JTable findJTable(java.awt.Container cont,
                                                java.lang.String text,
                                                boolean ce,
                                                boolean ccs,
                                                int row,
                                                int column,
                                                int index)

  Searches JTable by cell.
  Parameters:
    `cont` - Container to search component in.
    `text` - Item text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `row` - Index of row to compare text. If -1, selected row is checked.
    `column` - Index of column to compare text. If -1, selected column is checked.
    `index` - Ordinal component index.
  Returns:
    JTable instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJTable

    public static javax.swing.JTable findJTable(java.awt.Container cont,
                                                java.lang.String text,
                                                boolean ce,
                                                boolean ccs,
                                                int row,
                                                int column)

  Searches JTable by cell.
  Parameters:
    `cont` - Container to search component in.
    `text` - Item text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `row` - Index of row to compare text. If -1, selected row is checked.
    `column` - Index of column to compare text. If -1, selected column is checked.
  Returns:
    JTable instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJTable

    public static javax.swing.JTable waitJTable(java.awt.Container cont,
                                                ComponentChooser chooser,
                                                int index)

  Waits JTable in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JTable instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -

### waitJTable

    public static javax.swing.JTable waitJTable(java.awt.Container cont,
                                                ComponentChooser chooser)

  Waits 0'th JTable in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JTable instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -

### waitJTable

    public static javax.swing.JTable waitJTable(java.awt.Container cont,
                                                java.lang.String text,
                                                boolean ce,
                                                boolean ccs,
                                                int row,
                                                int column,
                                                int index)

  Waits JTable by cell.
  Parameters:
    `cont` - Container to search component in.
    `text` - Item text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `row` - Index of row to compare text. If -1, selected row is checked.
    `column` - Index of column to compare text. If -1, selected column is checked.
    `index` - Ordinal component index.
  Returns:
    JTable instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJTable

    public static javax.swing.JTable waitJTable(java.awt.Container cont,
                                                java.lang.String text,
                                                boolean ce,
                                                boolean ccs,
                                                int row,
                                                int column)

  Waits JTable by cell.
  Parameters:
    `cont` - Container to search component in.
    `text` - Item text. If null, contents is not checked.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `row` - Index of row to compare text. If -1, selected row is checked.
    `column` - Index of column to compare text. If -1, selected column is checked.
  Returns:
    JTable instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### setTimeouts

    public void setTimeouts(Timeouts times)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### copyEnvironment

    public void copyEnvironment(Operator anotherOperator)

  Description copied from class: `Operator`
  Copies all environment (output, timeouts, visualizer) from another operator.
  Overrides:
    `copyEnvironment` in class `ComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Parameters:
    `anotherOperator` - an operator to copy the environment to.

### findCell

    public java.awt.Point findCell(java.lang.String text,
                                   Operator.StringComparator comparator,
                                   int index)

  Searches cell coordinates.
  Parameters:
    `text` - a text pattern
    `comparator` - a string comparision algorithm
    `index` - an ordinal cell index
  Returns:
    Point indicating coordinates (x - column, y - row)

### findCell

    public java.awt.Point findCell(java.lang.String text,
                                   Operator.StringComparator comparator,
                                   int[] rows,
                                   int[] columns,
                                   int index)

  Searches cell coordinates in the specified rows and columns.
  Parameters:
    `text` - a text pattern
    `comparator` - a string comparision algorithm
    `rows` - rows to search in
    `columns` - columns to search in
    `index` - an ordinal cell index
  Returns:
    Point indicating coordinates (x - column, y - row)

### findCellRow

    public int findCellRow(java.lang.String text,
                           Operator.StringComparator comparator,
                           int index)

  Searches cell row index.
  Parameters:
    `text` - a text pattern
    `comparator` - a string comparision algorithm
    `index` - an ordinal cell index
  Returns:
    a row index.

### findCellRow

    public int findCellRow(java.lang.String text,
                           Operator.StringComparator comparator,
                           int column,
                           int index)

  Searches cell row index. Searching is performed between cells in one column.
  Parameters:
    `text` - a text pattern
    `comparator` - a string comparision algorithm
    `column` - a column index to search in
    `index` - an ordinal cell index
  Returns:
    a row index.

### findCellColumn

    public int findCellColumn(java.lang.String text,
                              Operator.StringComparator comparator,
                              int index)

  Searches cell column visible index.
  Parameters:
    `text` - a text pattern
    `comparator` - a string comparision algorithm
    `index` - an ordinal cell index
  Returns:
    a column index.

### findCellColumn

    public int findCellColumn(java.lang.String text,
                              Operator.StringComparator comparator,
                              int row,
                              int index)

  Searches cell column index. Searching is performed between cells in one row.
  Parameters:
    `text` - a text pattern
    `comparator` - a string comparision algorithm
    `row` - a row index to search in
    `index` - an ordinal cell index
  Returns:
    a column index.

### findCellRow

    public int findCellRow(java.lang.String text,
                           boolean ce,
                           boolean ccs,
                           int index)

  Deprecated. Use findCellRow(String, int) or findCellRow(String, StringComparator, int)

  Searches cell row by cell text.
  Parameters:
    `text` - Text to search by.
    `ce` - Compare exactly.
    `ccs` - Compare case sensitively.
    `index` - Ordinal index in suitable cells.
  Returns:
    a row index.
  See Also:
    `findCellRow(String, int)`

### findCellColumn

    public int findCellColumn(java.lang.String text,
                              boolean ce,
                              boolean ccs,
                              int index)

  Deprecated. Use findCellColumn(String, int) or findCellColumn(String, StringComparator, int)

  Searches cell column by cell text.
  Parameters:
    `text` - Text to search by.
    `ce` - Compare exactly.
    `ccs` - Compare case sensitively.
    `index` - Ordinal index in suitable cells.
  Returns:
    a column index.
  See Also:
    `findCellColumn(String, int)`

### findCellRow

    public int findCellRow(java.lang.String text,
                           boolean ce,
                           boolean ccs)

  Deprecated. Use findCellRow(String) or findCellRow(String, StringComparator)

  Searches first cell row by cell text.
  Parameters:
    `text` - Text to search by.
    `ce` - Compare exactly.
    `ccs` - Compare case sensitively.
  Returns:
    a row index.
  See Also:
    `findCellRow(String)`

### findCellColumn

    public int findCellColumn(java.lang.String text,
                              boolean ce,
                              boolean ccs)

  Deprecated. Use findCellColumn(String) or findCellColumn(String, StringComparator)

  Searches first cell column by cell text.
  Parameters:
    `text` - Text to search by.
    `ce` - Compare exactly.
    `ccs` - Compare case sensitively.
  Returns:
    a column index.
  See Also:
    `findCellColumn(String)`

### findCellRow

    public int findCellRow(java.lang.String text,
                           Operator.StringComparator comparator)

  Searches cell row index.
  Parameters:
    `text` - a text pattern
    `comparator` - a string comparision algorithm
  Returns:
    a row index.

### findCellColumn

    public int findCellColumn(java.lang.String text,
                              Operator.StringComparator comparator)

  Searches cell column visible index.
  Parameters:
    `text` - a text pattern
    `comparator` - a string comparision algorithm
  Returns:
    a column index.

### findCellRow

    public int findCellRow(java.lang.String text,
                           int index)

  Searches cell row by cell text.
  Parameters:
    `text` - Text to search by.
    `index` - Ordinal index in suitable cells.
  Returns:
    a row index.

### findCellRow

    public int findCellRow(java.lang.String text,
                           int column,
                           int index)

  Searches cell row index. Searching is performed between cells in one column.
  Parameters:
    `text` - a text pattern
    `column` - a column index to search in
    `index` - Ordinal index in suitable cells.
  Returns:
    a row index.

### findCellColumn

    public int findCellColumn(java.lang.String text,
                              int index)

  Searches cell column by cell text.
  Parameters:
    `text` - Text to search by.
    `index` - Ordinal index in suitable cells.
  Returns:
    a column index.

### findCellColumn

    public int findCellColumn(java.lang.String text,
                              int row,
                              int index)

  Searches cell column index. Searching is performed between cells in one row.
  Parameters:
    `text` - a text pattern
    `row` - a row index to search in
    `index` - Ordinal index in suitable cells.
  Returns:
    a column index.

### findCell

    public java.awt.Point findCell(java.lang.String text,
                                   int index)

  Searches cell coordinates.
  Parameters:
    `text` - a text pattern
    `index` - an ordinal cell index
  Returns:
    Point indicating coordinates (x - column, y - row)

### findCell

    public java.awt.Point findCell(java.lang.String text,
                                   int[] rows,
                                   int[] columns,
                                   int index)

  Searches cell coordinates in the specified rows and columns.
  Parameters:
    `text` - a text pattern
    `rows` - rows to search in
    `columns` - columns to search in
    `index` - an ordinal cell index
  Returns:
    Point indicating coordinates (x - column, y - row)

### findCellRow

    public int findCellRow(java.lang.String text)

  Searches first cell row by cell text.
  Parameters:
    `text` - Text to search by.
  Returns:
    a row index.

### findCellColumn

    public int findCellColumn(java.lang.String text)

  Searches first cell column by cell text.
  Parameters:
    `text` - Text to search by.
  Returns:
    a column index.

### findCellRow

    public int findCellRow(ComponentChooser chooser,
                           int index)

  Searches cell row by rendered component.
  Parameters:
    `chooser` - Component verifying object.
    `index` - Ordinal index in suitable cells.
  Returns:
    a row index.

### findCellRow

    public int findCellRow(ComponentChooser chooser,
                           int column,
                           int index)

  Searches cell row index. Searching is performed between cells in one column.
  Parameters:
    `chooser` - Component verifying object.
    `column` - a column index to search in
    `index` - Ordinal index in suitable cells.
  Returns:
    a row index.

### findCellColumn

    public int findCellColumn(ComponentChooser chooser,
                              int index)

  Searches cell column by rendered component.
  Parameters:
    `chooser` - Component verifying object.
    `index` - Ordinal index in suitable cells.
  Returns:
    a column index.

### findCellColumn

    public int findCellColumn(ComponentChooser chooser,
                              int row,
                              int index)

  Searches cell column index. Searching is performed between cells in one row.
  Parameters:
    `chooser` - Component verifying object.
    `row` - a row index to search in
    `index` - Ordinal index in suitable cells.
  Returns:
    a column index.

### findCell

    public java.awt.Point findCell(ComponentChooser chooser,
                                   int index)

  Searches cell coordinates.
  Parameters:
    `chooser` - Component verifying object.
    `index` - an ordinal cell index
  Returns:
    Point indicating coordinates (x - column, y - row)

### findCell

    public java.awt.Point findCell(ComponentChooser chooser,
                                   int[] rows,
                                   int[] columns,
                                   int index)

  Searches cell coordinates.
  Parameters:
    `chooser` - Component verifying object.
    `rows` - rows to search in
    `columns` - columns to search in
    `index` - an ordinal cell index
  Returns:
    Point indicating coordinates (x - column, y - row)

### findCellRow

    public int findCellRow(ComponentChooser chooser)

  Searches cell row by rendered component.
  Parameters:
    `chooser` - Component verifying object.
  Returns:
    a row index.

### findCellColumn

    public int findCellColumn(ComponentChooser chooser)

  Searches cell column by rendered component.
  Parameters:
    `chooser` - Component verifying object.
  Returns:
    a column index.

### findCell

    public java.awt.Point findCell(ComponentChooser chooser)

  Searches cell coordinates.
  Parameters:
    `chooser` - Component verifying object.
  Returns:
    Point indicating coordinates (x - column, y - row)

### findCellRow

    public int findCellRow(JTableOperator.TableCellChooser chooser,
                           int index)

  Searches cell row by TableCellChooser.
  Parameters:
    `chooser` - Cell verifying object.
    `index` - Ordinal index in suitable cells.
  Returns:
    a row index.

### findCellRow

    public int findCellRow(JTableOperator.TableCellChooser chooser,
                           int column,
                           int index)

  Searches cell row index. Searching is performed between cells in one column.
  Parameters:
    `chooser` - Cell verifying object.
    `column` - a column index to search in
    `index` - Ordinal index in suitable cells.
  Returns:
    a row index.

### findCellColumn

    public int findCellColumn(JTableOperator.TableCellChooser chooser,
                              int index)

  Searches cell column by TableCellChooser.
  Parameters:
    `chooser` - ComponentCell verifying object.
    `index` - Ordinal index in suitable cells.
  Returns:
    a column index.

### findCellColumn

    public int findCellColumn(JTableOperator.TableCellChooser chooser,
                              int row,
                              int index)

  Searches cell column index. Searching is performed between cells in one row.
  Parameters:
    `chooser` - Cell verifying object.
    `row` - a row index to search in
    `index` - Ordinal index in suitable cells.
  Returns:
    a column index.

### findCell

    public java.awt.Point findCell(JTableOperator.TableCellChooser chooser,
                                   int index)

  Searches cell coordinates.
  Parameters:
    `chooser` - cell verifying object.
    `index` - an ordinal cell index
  Returns:
    Point indicating coordinates (x - column, y - row)

### findCell

    public java.awt.Point findCell(JTableOperator.TableCellChooser chooser,
                                   int[] rows,
                                   int[] columns,
                                   int index)

  Searches cell coordinates in the specified rows and columns.
  Parameters:
    `chooser` - cell verifying object.
    `rows` - rows to search in
    `columns` - columns to search in
    `index` - an ordinal cell index
  Returns:
    Point indicating coordinates (x - column, y - row)

### findCellRow

    public int findCellRow(JTableOperator.TableCellChooser chooser)

  Searches cell row by TableCellChooser.
  Parameters:
    `chooser` - Cell verifying object.
  Returns:
    a row index.

### findCellColumn

    public int findCellColumn(JTableOperator.TableCellChooser chooser)

  Searches cell column by TableCellChooser.
  Parameters:
    `chooser` - Cell verifying object.
  Returns:
    a column index.

### findCell

    public java.awt.Point findCell(JTableOperator.TableCellChooser chooser)

  Searches cell coordinates.
  Parameters:
    `chooser` - cell verifying object.
  Returns:
    Point indicating coordinates (x - column, y - row)

### clickOnCell

    public void clickOnCell(int row,
                            int column,
                            int clickCount,
                            int button,
                            int modifiers)

  Does mouse click on the cell.
  Parameters:
    `row` - a row index
    `column` - a column index
    `clickCount` - a number of clicks
    `button` - a mouse button (value of InputEvent.BUTTON*_MASK field)
    `modifiers` - Modifiers (combination of InputEvent.*_MASK values)

### clickOnCell

    public void clickOnCell(int row,
                            int column,
                            int clickCount,
                            int button)

  Does mouse click on the cell with no modifiers.
  Parameters:
    `row` - a row index
    `column` - a column index
    `clickCount` - a number of clicks
    `button` - a mouse button (value of InputEvent.BUTTON*_MASK field)

### clickOnCell

    public void clickOnCell(int row,
                            int column,
                            int clickCount)

  Does mouse click on the cell by default mouse button with no modifiers.
  Parameters:
    `row` - a row index
    `column` - a column index
    `clickCount` - a number of clicks

### clickOnCell

    public void clickOnCell(int row,
                            int column)

  Does single mouse click on the cell.
  Parameters:
    `row` - a row index
    `column` - a column index

### clickForEdit

    public void clickForEdit(int row,
                             int column)

  Double clicks on cell to turns it to the editing mode.
  Parameters:
    `row` - a row index
    `column` - a column index
  Throws:
    `TimeoutExpiredException` -

### changeCellText

    public void changeCellText(int row,
                               int column,
                               java.lang.String newText)

  Deprecated. Use changeCellObject(int, int, Object) instead.

  Changes text of the cell pointed by row and column indexes.
  Parameters:
    `row` - a row index
    `column` - a column index
    `newText` - a text to enter
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `changeCellObject(int, int, Object)`

### changeCellObject

    public void changeCellObject(int row,
                                 int column,
                                 java.lang.Object newValue)

  Changes value of the cell pointed by row and column indexes. uses editor defined by setCellEditor method.
  Parameters:
    `row` - a row index
    `column` - a column index
    `newValue` - an object to chenge cell value to.
  Throws:
    `TimeoutExpiredException` -

### scrollToCell

    public void scrollToCell(int row,
                             int column)

  Scrolls to a cell if the table lies on a JScrollPane component.
  Parameters:
    `row` - a row index
    `column` - a column index
  Throws:
    `TimeoutExpiredException` -

### selectCell

    public void selectCell(int row,
                           int column)

  Selects a specified cell.
  Parameters:
    `row` - a row index
    `column` - a column index

### findColumn

    public int findColumn(java.lang.String name,
                          Operator.StringComparator comparator)

  Searches a column by name.
  Parameters:
    `name` - a text pattern
    `comparator` - a string comparision algorithm
  Returns:
    a column index

### findColumn

    public int findColumn(java.lang.String name)

  Searches a column by name.
  Parameters:
    `name` - a text pattern
  Returns:
    a column index

### callPopupOnCell

    public javax.swing.JPopupMenu callPopupOnCell(int row,
                                                  int column)

  Calls popup menu on specified cell.
  Parameters:
    `row` - a row index
    `column` - a column index
  Returns:
    the menu

### getRenderedComponent

    public java.awt.Component getRenderedComponent(int row,
                                                   int column,
                                                   boolean isSelected,
                                                   boolean cellHasFocus)

  Ask renderer for component to be displayed.
  Parameters:
    `row` - cell row index.
    `column` - cell column visible index.
    `isSelected` - True if the specified cell was selected.
    `cellHasFocus` - True if the specified cell has the focus.
  Returns:
    Component to be displayed.

### getRenderedComponent

    public java.awt.Component getRenderedComponent(int row,
                                                   int column)

  Ask renderer for component to be displayed. Uses isCellSelected(itemIndex) to determine whether cell is selected. Supposes item do not have focus.
  Parameters:
    `row` - cell row index.
    `column` - cell column visible index.
  Returns:
    Component to be displayed.

### getPointToClick

    public java.awt.Point getPointToClick(int row,
                                          int column)

  Returns a point at the center of the cell rectangle.
  Parameters:
    `row` - a row index
    `column` - a column index
  Returns:
    a Point in component's coordinate system.

### getHeaderOperator

    public JTableHeaderOperator getHeaderOperator()

  Creates an operator for a teble header assigned to this table.
  Returns:
    an JTableHeaderOperator operator

### waitCellComponent

    public java.awt.Component waitCellComponent(ComponentChooser chooser,
                                                int row,
                                                int column)

  Waits for an editor.
  Parameters:
    `chooser` - a chhoser specifying criteria to distinguish cell editor.
    `row` - a row index
    `column` - a column index
  Returns:
    a component displayed over the cell and fitting the criteria specified by `chooser`

### waitCell

    public void waitCell(java.lang.String cellText,
                         int row,
                         int column)

  Waits for certain cell contents.
  Parameters:
    `cellText` - Text comparing to cell text by `getComparator()` comparator.
    `row` - cell row index. If -1, selected one is checked.
    `column` - cell column visible index. If -1, selected one is checked.

### getDump

    public java.util.Hashtable getDump()

  Returns information about component.
  Overrides:
    `getDump` in class `JComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### addColumn

    public void addColumn(javax.swing.table.TableColumn tableColumn)

  Maps `JTable.addColumn(TableColumn)` through queue

### addColumnSelectionInterval

    public void addColumnSelectionInterval(int i,
                                           int i1)

  Maps `JTable.addColumnSelectionInterval(int, int)` through queue

### addRowSelectionInterval

    public void addRowSelectionInterval(int i,
                                        int i1)

  Maps `JTable.addRowSelectionInterval(int, int)` through queue

### clearSelection

    public void clearSelection()

  Maps `JTable.clearSelection()` through queue

### columnAdded

    public void columnAdded(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)

  Maps `JTable.columnAdded(TableColumnModelEvent)` through queue

### columnAtPoint

    public int columnAtPoint(java.awt.Point point)

  Maps `JTable.columnAtPoint(Point)` through queue

### columnMarginChanged

    public void columnMarginChanged(javax.swing.event.ChangeEvent changeEvent)

  Maps `JTable.columnMarginChanged(ChangeEvent)` through queue

### columnMoved

    public void columnMoved(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)

  Maps `JTable.columnMoved(TableColumnModelEvent)` through queue

### columnRemoved

    public void columnRemoved(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)

  Maps `JTable.columnRemoved(TableColumnModelEvent)` through queue

### columnSelectionChanged

    public void columnSelectionChanged(javax.swing.event.ListSelectionEvent listSelectionEvent)

  Maps `JTable.columnSelectionChanged(ListSelectionEvent)` through queue

### convertColumnIndexToModel

    public int convertColumnIndexToModel(int i)

  Maps `JTable.convertColumnIndexToModel(int)` through queue

### convertColumnIndexToView

    public int convertColumnIndexToView(int i)

  Maps `JTable.convertColumnIndexToView(int)` through queue

### createDefaultColumnsFromModel

    public void createDefaultColumnsFromModel()

  Maps `JTable.createDefaultColumnsFromModel()` through queue

### editCellAt

    public boolean editCellAt(int i,
                              int i1)

  Maps `JTable.editCellAt(int, int)` through queue

### editCellAt

    public boolean editCellAt(int i,
                              int i1,
                              java.util.EventObject eventObject)

  Maps `JTable.editCellAt(int, int, EventObject)` through queue

### editingCanceled

    public void editingCanceled(javax.swing.event.ChangeEvent changeEvent)

  Maps `JTable.editingCanceled(ChangeEvent)` through queue

### editingStopped

    public void editingStopped(javax.swing.event.ChangeEvent changeEvent)

  Maps `JTable.editingStopped(ChangeEvent)` through queue

### getAutoCreateColumnsFromModel

    public boolean getAutoCreateColumnsFromModel()

  Maps `JTable.getAutoCreateColumnsFromModel()` through queue

### getAutoResizeMode

    public int getAutoResizeMode()

  Maps `JTable.getAutoResizeMode()` through queue

### getCellEditor

    public javax.swing.table.TableCellEditor getCellEditor()

  Maps `JTable.getCellEditor()` through queue

### getCellEditor

    public javax.swing.table.TableCellEditor getCellEditor(int i,
                                                           int i1)

  Maps `JTable.getCellEditor(int, int)` through queue

### getCellRect

    public java.awt.Rectangle getCellRect(int i,
                                          int i1,
                                          boolean b)

  Maps `JTable.getCellRect(int, int, boolean)` through queue

### getCellRenderer

    public javax.swing.table.TableCellRenderer getCellRenderer(int i,
                                                               int i1)

  Maps `JTable.getCellRenderer(int, int)` through queue

### getCellSelectionEnabled

    public boolean getCellSelectionEnabled()

  Maps `JTable.getCellSelectionEnabled()` through queue

### getColumn

    public javax.swing.table.TableColumn getColumn(java.lang.Object object)

  Maps `JTable.getColumn(Object)` through queue

### getColumnClass

    public java.lang.Class getColumnClass(int i)

  Maps `JTable.getColumnClass(int)` through queue

### getColumnCount

    public int getColumnCount()

  Maps `JTable.getColumnCount()` through queue

### getColumnModel

    public javax.swing.table.TableColumnModel getColumnModel()

  Maps `JTable.getColumnModel()` through queue

### getColumnName

    public java.lang.String getColumnName(int i)

  Maps `JTable.getColumnName(int)` through queue

### getColumnSelectionAllowed

    public boolean getColumnSelectionAllowed()

  Maps `JTable.getColumnSelectionAllowed()` through queue

### getDefaultEditor

    public javax.swing.table.TableCellEditor getDefaultEditor(java.lang.Class clss)

  Maps `JTable.getDefaultEditor(Class)` through queue

### getDefaultRenderer

    public javax.swing.table.TableCellRenderer getDefaultRenderer(java.lang.Class clss)

  Maps `JTable.getDefaultRenderer(Class)` through queue

### getEditingColumn

    public int getEditingColumn()

  Maps `JTable.getEditingColumn()` through queue

### getEditingRow

    public int getEditingRow()

  Maps `JTable.getEditingRow()` through queue

### getEditorComponent

    public java.awt.Component getEditorComponent()

  Maps `JTable.getEditorComponent()` through queue

### getGridColor

    public java.awt.Color getGridColor()

  Maps `JTable.getGridColor()` through queue

### getIntercellSpacing

    public java.awt.Dimension getIntercellSpacing()

  Maps `JTable.getIntercellSpacing()` through queue

### getModel

    public javax.swing.table.TableModel getModel()

  Maps `JTable.getModel()` through queue

### getPreferredScrollableViewportSize

    public java.awt.Dimension getPreferredScrollableViewportSize()

  Maps `JTable.getPreferredScrollableViewportSize()` through queue

### getRowCount

    public int getRowCount()

  Maps `JTable.getRowCount()` through queue

### getRowHeight

    public int getRowHeight()

  Maps `JTable.getRowHeight()` through queue

### getRowMargin

    public int getRowMargin()

  Maps `JTable.getRowMargin()` through queue

### getRowSelectionAllowed

    public boolean getRowSelectionAllowed()

  Maps `JTable.getRowSelectionAllowed()` through queue

### getScrollableBlockIncrement

    public int getScrollableBlockIncrement(java.awt.Rectangle rectangle,
                                           int i,
                                           int i1)

  Maps `JTable.getScrollableBlockIncrement(Rectangle, int, int)` through queue

### getScrollableTracksViewportHeight

    public boolean getScrollableTracksViewportHeight()

  Maps `JTable.getScrollableTracksViewportHeight()` through queue

### getScrollableTracksViewportWidth

    public boolean getScrollableTracksViewportWidth()

  Maps `JTable.getScrollableTracksViewportWidth()` through queue

### getScrollableUnitIncrement

    public int getScrollableUnitIncrement(java.awt.Rectangle rectangle,
                                          int i,
                                          int i1)

  Maps `JTable.getScrollableUnitIncrement(Rectangle, int, int)` through queue

### getSelectedColumn

    public int getSelectedColumn()

  Maps `JTable.getSelectedColumn()` through queue

### getSelectedColumnCount

    public int getSelectedColumnCount()

  Maps `JTable.getSelectedColumnCount()` through queue

### getSelectedColumns

    public int[] getSelectedColumns()

  Maps `JTable.getSelectedColumns()` through queue

### getSelectedRow

    public int getSelectedRow()

  Maps `JTable.getSelectedRow()` through queue

### getSelectedRowCount

    public int getSelectedRowCount()

  Maps `JTable.getSelectedRowCount()` through queue

### getSelectedRows

    public int[] getSelectedRows()

  Maps `JTable.getSelectedRows()` through queue

### getSelectionBackground

    public java.awt.Color getSelectionBackground()

  Maps `JTable.getSelectionBackground()` through queue

### getSelectionForeground

    public java.awt.Color getSelectionForeground()

  Maps `JTable.getSelectionForeground()` through queue

### getSelectionModel

    public javax.swing.ListSelectionModel getSelectionModel()

  Maps `JTable.getSelectionModel()` through queue

### getShowHorizontalLines

    public boolean getShowHorizontalLines()

  Maps `JTable.getShowHorizontalLines()` through queue

### getShowVerticalLines

    public boolean getShowVerticalLines()

  Maps `JTable.getShowVerticalLines()` through queue

### getTableHeader

    public javax.swing.table.JTableHeader getTableHeader()

  Maps `JTable.getTableHeader()` through queue

### getUI

    public javax.swing.plaf.TableUI getUI()

  Maps `JTable.getUI()` through queue

### getValueAt

    public java.lang.Object getValueAt(int i,
                                       int i1)

  Maps `JTable.getValueAt(int, int)` through queue

### isCellEditable

    public boolean isCellEditable(int i,
                                  int i1)

  Maps `JTable.isCellEditable(int, int)` through queue

### isCellSelected

    public boolean isCellSelected(int i,
                                  int i1)

  Maps `JTable.isCellSelected(int, int)` through queue

### isColumnSelected

    public boolean isColumnSelected(int i)

  Maps `JTable.isColumnSelected(int)` through queue

### isEditing

    public boolean isEditing()

  Maps `JTable.isEditing()` through queue

### isRowSelected

    public boolean isRowSelected(int i)

  Maps `JTable.isRowSelected(int)` through queue

### moveColumn

    public void moveColumn(int i,
                           int i1)

  Maps `JTable.moveColumn(int, int)` through queue

### prepareEditor

    public java.awt.Component prepareEditor(javax.swing.table.TableCellEditor tableCellEditor,
                                            int i,
                                            int i1)

  Maps `JTable.prepareEditor(TableCellEditor, int, int)` through queue

### prepareRenderer

    public java.awt.Component prepareRenderer(javax.swing.table.TableCellRenderer tableCellRenderer,
                                              int i,
                                              int i1)

  Maps `JTable.prepareRenderer(TableCellRenderer, int, int)` through queue

### removeColumn

    public void removeColumn(javax.swing.table.TableColumn tableColumn)

  Maps `JTable.removeColumn(TableColumn)` through queue

### removeColumnSelectionInterval

    public void removeColumnSelectionInterval(int i,
                                              int i1)

  Maps `JTable.removeColumnSelectionInterval(int, int)` through queue

### removeEditor

    public void removeEditor()

  Maps `JTable.removeEditor()` through queue

### removeRowSelectionInterval

    public void removeRowSelectionInterval(int i,
                                           int i1)

  Maps `JTable.removeRowSelectionInterval(int, int)` through queue

### rowAtPoint

    public int rowAtPoint(java.awt.Point point)

  Maps `JTable.rowAtPoint(Point)` through queue

### selectAll

    public void selectAll()

  Maps `JTable.selectAll()` through queue

### setAutoCreateColumnsFromModel

    public void setAutoCreateColumnsFromModel(boolean b)

  Maps `JTable.setAutoCreateColumnsFromModel(boolean)` through queue

### setAutoResizeMode

    public void setAutoResizeMode(int i)

  Maps `JTable.setAutoResizeMode(int)` through queue

### setCellEditor

    public void setCellEditor(javax.swing.table.TableCellEditor tableCellEditor)

  Maps `JTable.setCellEditor(TableCellEditor)` through queue

### setCellSelectionEnabled

    public void setCellSelectionEnabled(boolean b)

  Maps `JTable.setCellSelectionEnabled(boolean)` through queue

### setColumnModel

    public void setColumnModel(javax.swing.table.TableColumnModel tableColumnModel)

  Maps `JTable.setColumnModel(TableColumnModel)` through queue

### setColumnSelectionAllowed

    public void setColumnSelectionAllowed(boolean b)

  Maps `JTable.setColumnSelectionAllowed(boolean)` through queue

### setColumnSelectionInterval

    public void setColumnSelectionInterval(int i,
                                           int i1)

  Maps `JTable.setColumnSelectionInterval(int, int)` through queue

### setDefaultEditor

    public void setDefaultEditor(java.lang.Class clss,
                                 javax.swing.table.TableCellEditor tableCellEditor)

  Maps `JTable.setDefaultEditor(Class, TableCellEditor)` through queue

### setDefaultRenderer

    public void setDefaultRenderer(java.lang.Class clss,
                                   javax.swing.table.TableCellRenderer tableCellRenderer)

  Maps `JTable.setDefaultRenderer(Class, TableCellRenderer)` through queue

### setEditingColumn

    public void setEditingColumn(int i)

  Maps `JTable.setEditingColumn(int)` through queue

### setEditingRow

    public void setEditingRow(int i)

  Maps `JTable.setEditingRow(int)` through queue

### setGridColor

    public void setGridColor(java.awt.Color color)

  Maps `JTable.setGridColor(Color)` through queue

### setIntercellSpacing

    public void setIntercellSpacing(java.awt.Dimension dimension)

  Maps `JTable.setIntercellSpacing(Dimension)` through queue

### setModel

    public void setModel(javax.swing.table.TableModel tableModel)

  Maps `JTable.setModel(TableModel)` through queue

### setPreferredScrollableViewportSize

    public void setPreferredScrollableViewportSize(java.awt.Dimension dimension)

  Maps `JTable.setPreferredScrollableViewportSize(Dimension)` through queue

### setRowHeight

    public void setRowHeight(int i)

  Maps `JTable.setRowHeight(int)` through queue

### setRowMargin

    public void setRowMargin(int i)

  Maps `JTable.setRowMargin(int)` through queue

### setRowSelectionAllowed

    public void setRowSelectionAllowed(boolean b)

  Maps `JTable.setRowSelectionAllowed(boolean)` through queue

### setRowSelectionInterval

    public void setRowSelectionInterval(int i,
                                        int i1)

  Maps `JTable.setRowSelectionInterval(int, int)` through queue

### setSelectionBackground

    public void setSelectionBackground(java.awt.Color color)

  Maps `JTable.setSelectionBackground(Color)` through queue

### setSelectionForeground

    public void setSelectionForeground(java.awt.Color color)

  Maps `JTable.setSelectionForeground(Color)` through queue

### setSelectionMode

    public void setSelectionMode(int i)

  Maps `JTable.setSelectionMode(int)` through queue

### setSelectionModel

    public void setSelectionModel(javax.swing.ListSelectionModel listSelectionModel)

  Maps `JTable.setSelectionModel(ListSelectionModel)` through queue

### setShowGrid

    public void setShowGrid(boolean b)

  Maps `JTable.setShowGrid(boolean)` through queue

### setShowHorizontalLines

    public void setShowHorizontalLines(boolean b)

  Maps `JTable.setShowHorizontalLines(boolean)` through queue

### setShowVerticalLines

    public void setShowVerticalLines(boolean b)

  Maps `JTable.setShowVerticalLines(boolean)` through queue

### setTableHeader

    public void setTableHeader(javax.swing.table.JTableHeader jTableHeader)

  Maps `JTable.setTableHeader(JTableHeader)` through queue

### setUI

    public void setUI(javax.swing.plaf.TableUI tableUI)

  Maps `JTable.setUI(TableUI)` through queue

### setValueAt

    public void setValueAt(java.lang.Object object,
                           int i,
                           int i1)

  Maps `JTable.setValueAt(Object, int, int)` through queue

### tableChanged

    public void tableChanged(javax.swing.event.TableModelEvent tableModelEvent)

  Maps `JTable.tableChanged(TableModelEvent)` through queue

### valueChanged

    public void valueChanged(javax.swing.event.ListSelectionEvent listSelectionEvent)

  Maps `JTable.valueChanged(ListSelectionEvent)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD